Subject: Re: bug#5118: DocView: copy/search text

From: Stefan Monnier <[email-masked]>
Date: Sat, 05 Dec 2009 16:12:42 -0500

>>> Please add two features that would be easy to implement:
>>> 1. Copying the text of the current page to the kill ring.
>> I don't know anything about DocView, but shouldn't that be possible
>> in any major mode via C-x C-p (mark-page) then M-w (kill-ring-save)?

> `C-x C-p' and `M-w' will copy binary data, whereas `pdftotext' converts
> it to plain text in a hidden buffer that can be displayed with `C-c C-t'
> where you can do `C-x C-p' and `M-w'.  But the problem is that it's
> difficult to find the current page in the text representation to be able
> to copy it.

doc-view-search-internal seems to just count ^Ls, so assuming
doc-view-search-internal works (which it appears to do), it shouldn't be
that hard.

        Stefan